Crystal Space: iPolygonHandle Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPolygonHandle Struct Reference
[Mesh plugins]

This is an interface that can be used to represent a polygon in situations where a SCF object is required. More...

`#include <imesh/thing.h>`

Inheritance diagram for iPolygonHandle:

[legend]
List of all members.

## Public Member Functions
virtual int | GetIndex () const =0
| Get the polygon index which this polygon handle represents.
virtual iMeshObject * | GetMeshObject () const =0
| Get the mesh object of this polygon.
virtual iMeshObjectFactory * | GetMeshObjectFactory () const =0
| Get the mesh object factory for this polygon.
virtual iThingFactoryState * | GetThingFactoryState () const =0
| Get the factory state for this polygon.
virtual iThingState * | GetThingState () const =0
| Get the instance of this polygon.

## Detailed Description

This is an interface that can be used to represent a polygon in situations where a SCF object is required.

Create an instance of this object using iThingFactoryState->CreatePolygonHandle() or iThingState->CreatePolygonHandle(). Note that this handle will make sure that the returned pointers are cleared if the thing or thing factory happens to be removed.

Main creators of instances implementing this interface:

- iThingState::CreatePolygonHandle()
- iThingFactoryState::CreatePolygonHandle()

Main users of this interface:

- iThingState
- iThingFactoryState

Definition at line 152 of file thing.h.

## Member Function Documentation

virtual int iPolygonHandle::GetIndex | ( |  | ) | const`[pure virtual]`

Get the polygon index which this polygon handle represents.

virtual iMeshObject* iPolygonHandle::GetMeshObject | ( |  | ) | const`[pure virtual]`

Get the mesh object of this polygon.

This can be 0 if this polygon handle was created from a factory or if the instance was removed.

virtual iMeshObjectFactory* iPolygonHandle::GetMeshObjectFactory | ( |  | ) | const`[pure virtual]`

Get the mesh object factory for this polygon.

Or 0 if the factory is removed.

virtual iThingFactoryState* iPolygonHandle::GetThingFactoryState | ( |  | ) | const`[pure virtual]`

Get the factory state for this polygon.

Or 0 if the factory is removed.

virtual iThingState* iPolygonHandle::GetThingState | ( |  | ) | const`[pure virtual]`

Get the instance of this polygon.

This can be 0 if this polygon handle was created from a factory or if the instance was removed.

The documentation for this struct was generated from the following file:

- imesh/thing.h